## game-data-packager 64

=== Makefile ===
-include configure.mk

pkgdatadir := ${gamedatadir}/game-data-packager
runtimedir := ${gamedatadir}/game-data-packager-runtime
PYFLAKES3 := $(shell if [ -x /usr/bin/pyflakes3 ] ;  then echo pyflakes3 ; \
                   elif [ -x /usr/bin/pyflakes3k ] ; then echo pyflakes3k ; \
                   elif [ -x /usr/bin/python3-pyflakes ] ; then echo python3-pyflakes ; \
                   elif [ -x /usr/bin/pyflakes-3 ] ; then echo /usr/bin/pyflakes-3 ; \
                   else ls -1 /usr/bin/pyflakes-python3.* | tail -n 1 ; \
                    fi)

png_from_xpm := $(patsubst ./data/%.xpm,./out/%.png,$(wildcard ./data/*.xpm))
png_from_svg := $(patsubst ./data/%.svg,./out/%.png,$(filter-out ./data/quake1+2.svg,$(wildcard ./data/*.svg)))
png       := $(png_from_xpm) $(png_from_svg) out/memento-mori.png
simplified_svg := $(patsubst ./data/%.svg,./out/%.svg,$(filter-out ./data/quake1+2.svg,$(wildcard ./data/*.svg)))
# We deliberately don't compress and install memento-mori{,-2}.svg because
# they use features that aren't supported by librsvg, so they'd look wrong
# in all GTK-based environments.
svgz      := $(patsubst ./out/%.svg,./out/%.svgz,$(filter-out ./out/memento-mori-2.svg,$(simplified_svg)))
in_yaml   := $(wildcard ./data/*.yaml)
test_yaml   := $(wildcard ./tests/data/*.yaml)
json_from_data := $(patsubst ./data/%.yaml,./out/vfs/%.json,$(in_yaml))
json_from_tests := $(patsubst ./tests/data/%.yaml,./out/tests/vfs/%.json,$(test_yaml))
copyright := $(patsubst ./data/%,./out/%,$(wildcard ./data/*.copyright) ./data/copyright)
dot_in    := $(patsubst ./data/%,./out/%,$(wildcard ./data/*.in))
desktop   := $(patsubst ./runtime/%.in,./out/%,$(wildcard ./runtime/*.desktop.in))

launcher_json := $(patsubst ./runtime/launch-%.yaml.in,./out/launch-%.json,$(wildcard ./runtime/launch-*.yaml.in))
launcher_desktops := \
	out/unreal.desktop \
	out/unreal-gold.desktop \
	out/ut99.desktop \
	$(NULL)

quake_layer_sizes = 16 22 32 48 256

quake_icons = \
	out/24/quake.png \
	out/24/quake-armagon.png \
	out/24/quake-dissolution.png \
	out/24/quake2.png \
	out/24/quake2-reckoning.png \
	out/24/quake2-groundzero.png \
	out/24/quake4.png \
	out/quake.svg \
	out/quake-armagon.svg \
	out/quake-dissolution.svg \
	out/quake2.svg \
	out/quake2-reckoning.svg \
	out/quake2-groundzero.svg \
	out/256/quake3.png \
	out/256/quake3-team-arena.png \
	out/quake4.svg \
	out/48/quake3.png \
	out/48/quake3-team-arena.png \
	$(patsubst %,out/%/quake.png,$(quake_layer_sizes)) \
	$(patsubst %,out/%/quake-armagon.png,$(quake_layer_sizes)) \
	$(patsubst %,out/%/quake-dissolution.png,$(quake_layer_sizes)) \
	$(patsubst %,out/%/quake2.png,$(quake_layer_sizes)) \
	$(patsubst %,out/%/quake2-reckoning.png,$(quake_layer_sizes)) \
	$(patsubst %,out/%/quake2-groundzero.png,$(quake_layer_sizes)) \
	$(patsubst %,out/%/quake4.png,$(quake_layer_sizes)) \
	$(NULL)

all: $(png) $(svgz) $(json_from_data) $(launcher_json) \
      $(copyright) $(dot_in) $(desktop) $(quake_icons) \
      $(json_from_tests) \
      out/bash_completion out/changelog.gz \
      out/game-data-packager out/vfs.zip out/memento-mori-2.svg \
      out/tests/changelog.gz out/tests/vfs.zip out/tests/copyright

configure.mk: configure game_data_packager/version.py
	./config.status

out/CACHEDIR.TAG:
	@mkdir -p out
	( echo "Signature: 8a477f597d28d17""2789f06886806bc55"; \
	echo "# This file marks this directory to not be backed up."; \
	echo "# For information about cache directory tags, see:"; \
	echo "#	http://www.brynosaurus.com/cachedir/" ) > $@

$(copyright) $(dot_in): out/%: data/% out/CACHEDIR.TAG
	if [ -L $< ]; then cp -a $< $@ ; else install -m644 $< $@ ; fi

$(json_from_data): out/vfs/%.json: data/%.yaml tools/compile_yaml.py out/CACHEDIR.TAG
	@mkdir -p out/vfs
	PYTHONPATH=$(CURDIR) $(PYTHON) tools/compile_yaml.py $< $@

$(json_from_tests): out/tests/vfs/%.json: tests/data/%.yaml tools/compile_yaml.py out/CACHEDIR.TAG
	@mkdir -p out/tests/vfs
	PYTHONPATH=$(CURDIR) $(PYTHON) tools/compile_yaml.py $< $@

out/vfs.zip: $(json_from_data)
	rm -f $@
	chmod 0644 out/vfs/*
	if [ -n "$(SOURCE_DATE_EPOCH)" ]; then \
		touch --date='@$(SOURCE_DATE_EPOCH)' out/vfs/*; \
	fi
	cd out/vfs && ls -1 | LC_ALL=C sort | \
		env TZ=UTC zip ../vfs.zip -9 -X -q -@

out/tests/vfs.zip: $(json_from_tests)
	rm -f $@
	chmod 0644 out/tests/vfs/*
	if [ -n "$(SOURCE_DATE_EPOCH)" ]; then \
		touch --date='@$(SOURCE_DATE_EPOCH)' out/tests/vfs/*; \
	fi
	cd out/tests/vfs && ls -1 | LC_ALL=C sort | \
		env TZ=UTC zip ../vfs.zip -9 -X -q -@

out/bash_completion: $(in_yaml) out/CACHEDIR.TAG
	$(PYTHON) tools/bash_completion.py > ./out/bash_completion
	chmod 0644 ./out/bash_completion

out/changelog.gz: debian/changelog out/CACHEDIR.TAG
	gzip -nc9 debian/changelog > ./out/changelog.gz
	chmod 0644 ./out/changelog.gz

out/tests/changelog.gz out/tests/copyright: out/tests/%: out/%
	@mkdir -p out/tests
	cp -a $< $@

out/game-data-packager: run out/CACHEDIR.TAG
	install run out/game-data-packager

$(simplified_svg): out/%.svg: data/%.svg out/CACHEDIR.TAG
	inkscape --export-plain-svg=$@ $<

out/memento-mori.svg: data/memento-mori-2.svg out/CACHEDIR.TAG
	inkscape --export-plain-svg=$@ --export-id=layer1 --export-id-only $<

out/memento-mori.png: out/memento-mori.svg
	inkscape --export-png=$@ -w96 -h96 $<

$(png_from_xpm): out/%.png: data/%.xpm out/CACHEDIR.TAG
	convert $< $@

$(png_from_svg): out/%.png: data/%.svg out/CACHEDIR.TAG
	inkscape --export-png=$@ -w96 -h96 $<

$(svgz): out/%.svgz: out/%.svg
	gzip -nc $< > $@

out/quake.svg: data/quake1+2.svg out/CACHEDIR.TAG
	xmlstarlet ed -d "//*[local-name() = 'g' and @inkscape:groupmode = 'layer' and @id != 'layer-quake-256']" < $< > out/tmp/quake.svg
	inkscape \
		--export-area-page \
		--export-plain-svg=$@ \
		out/tmp/quake.svg
	rm -f out/tmp/quake.svg

out/quake-%.svg: out/tmp/recolour-%.svg out/CACHEDIR.TAG
	xmlstarlet ed -d "//*[local-name() = 'g' and @inkscape:groupmode = 'layer' and @id != 'layer-quake-256']" < $< > out/tmp/quake-$*.svg
	inkscape \
		--export-area-page \
		--export-plain-svg=$@ \
		out/tmp/quake-$*.svg
	rm -f out/tmp/quake-$*.svg

out/quake2.svg: data/quake1+2.svg out/CACHEDIR.TAG
	xmlstarlet ed -d "//*[local-name() = 'g' and @inkscape:groupmode = 'layer' and @id != 'layer-quake2-256']" < $< > out/tmp/quake2.svg
	inkscape \
		--export-area-page \
		--export-plain-svg=$@ \
		out/tmp/quake2.svg
	rm -f out/tmp/quake2.svg

out/quake4.svg: data/quake1+2.svg out/CACHEDIR.TAG
	xmlstarlet ed -d "//*[local-name() = 'g' and @inkscape:groupmode = 'layer' and @id != 'layer-quake4-256']" < $< > out/tmp/quake4.svg
	inkscape \
		--export-area-page \
		--export-plain-svg=$@ \
		out/tmp/quake4.svg
	rm -f out/tmp/quake4.svg

out/quake2-%.svg: out/tmp/recolour-%.svg out/CACHEDIR.TAG
	xmlstarlet ed -d "//*[local-name() = 'g' and @inkscape:groupmode = 'layer' and @id != 'layer-quake2-256']" < $< > out/tmp/quake2-$*.svg
	inkscape \
		--export-area-page \
		--export-plain-svg=$@ \
		out/tmp/quake2-$*.svg
	rm -f out/tmp/quake2-$*.svg

out/256/quake3.png: data/quake3-tango.xcf out/CACHEDIR.TAG
	install -d out/256
	# fallback, result is similar, yet different
	if command -v xcf2png > /dev/null ; then \
	  xcf2png -o $@ $< ;\
	else \
	  convert $< -background rgba\(0,0,0,0\) -layers merge $@ ;\
	fi

out/256/quake3-team-arena.png: data/quake3-teamarena-tango.xcf out/CACHEDIR.TAG
	install -d out/256
	if command -v xcf2png > /dev/null ; then \
          xcf2png -o $@ $< ;\
	else \
          convert $< -background rgba\(0,0,0,0\) -layers merge $@ ;\
	fi

out/48/quake3.png: out/256/quake3.png out/CACHEDIR.TAG
	install -d out/48
	convert -resize 48x48 $< $@

out/48/quake3-team-arena.png: out/256/quake3-team-arena.png out/CACHEDIR.TAG
	install -d out/48
	convert -resize 48x48 $< $@

out/tmp/recolour-dissolution.svg: data/quake1+2.svg Makefile out/CACHEDIR.TAG
	install -d out/tmp
	sed -e 's/#c17d11/#999984/' \
		-e 's/#d5b582/#dede95/' \
		-e 's/#5f3b01/#403f31/' \
		-e 's/#e9b96e/#dede95/' \
		< $< > $@

out/tmp/recolour-armagon.svg: data/quake1+2.svg Makefile out/CACHEDIR.TAG
	install -d out/tmp
	sed -e 's/#c17d11/#565248/' \
		-e 's/#d5b582/#aba390/' \
		-e 's/#5f3b01/#000000/' \
		-e 's/#e9b96e/#aba390/' \
		< $< > $@

out/tmp/recolour-reckoning.svg: data/quake1+2.svg Makefile out/CACHEDIR.TAG
	install -d out/tmp
	sed -e 's/#3a5a1e/#999984/' \
		-e 's/#73ae3a/#eeeeec/' \
		-e 's/#8ae234/#eeeeec/' \
		-e 's/#132601/#233436/' \
		< $< > $@

out/tmp/recolour-groundzero.svg: data/quake1+2.svg Makefile out/CACHEDIR.TAG
	install -d out/tmp
	sed -e 's/#3a5a1e/#ce5c00/' \
		-e 's/#73ae3a/#fce94f/' \
		-e 's/#8ae234/#fce94f/' \
		-e 's/#132601/#cc0000/' \
		< $< > $@

out/24/quake.png: out/22/quake.png out/CACHEDIR.TAG
	install -d out/24
	convert -bordercolor Transparent -border 1x1 $< $@

out/24/quake-%.png: out/22/quake-%.png out/CACHEDIR.TAG
	install -d out/24
	convert -bordercolor Transparent -border 1x1 $< $@

out/24/quake2.png: out/22/quake2.png out/CACHEDIR.TAG
	install -d out/24
	convert -bordercolor Transparent -border 1x1 $< $@

out/24/quake4.png: out/22/quake4.png out/CACHEDIR.TAG
	install -d out/24
	convert -bordercolor Transparent -border 1x1 $< $@

out/24/quake2-%.png: out/22/quake2-%.png out/CACHEDIR.TAG
	install -d out/24
	convert -bordercolor Transparent -border 1x1 $< $@

$(patsubst %,out/%/quake.png,$(quake_layer_sizes)): out/%/quake.png: data/quake1+2.svg out/CACHEDIR.TAG
	install -d out/$*
	inkscape \
		--export-area=0:0:$*:$* \
		--export-width=$* \
		--export-height=$* \
		--export-id=layer-quake-$* \
		--export-id-only \
		--export-png=$@ \
		$<

$(patsubst %,out/%/quake-armagon.png,$(quake_layer_sizes)): out/%/quake-armagon.png: out/tmp/recolour-armagon.svg out/CACHEDIR.TAG
	install -d out/$*
	inkscape \
		--export-area=0:0:$*:$* \
		--export-width=$* \
		--export-height=$* \
		--export-id=layer-quake-$* \
		--export-id-only \
		--export-png=$@ \
		$<

$(patsubst %,out/%/quake-dissolution.png,$(quake_layer_sizes)): out/%/quake-dissolution.png: out/tmp/recolour-dissolution.svg out/CACHEDIR.TAG
	install -d out/$*
	inkscape \
		--export-area=0:0:$*:$* \
		--export-width=$* \
		--export-height=$* \
		--export-id=layer-quake-$* \
		--export-id-only \
		--export-png=$@ \
		$<

$(patsubst %,out/%/quake2.png,$(quake_layer_sizes)): out/%/quake2.png: data/quake1+2.svg out/CACHEDIR.TAG
	install -d out/$*
	inkscape \
		--export-area=0:0:$*:$* \
		--export-width=$* \
		--export-height=$* \
		--export-id=layer-quake2-$* \
		--export-id-only \
		--export-png=$@ \
		$<

$(patsubst %,out/%/quake4.png,16 22 32): out/%/quake4.png: data/quake1+2.svg out/CACHEDIR.TAG
	install -d out/$*
	inkscape \
		--export-area=0:0:32:32 \
		--export-width=$* \
		--export-height=$* \
		--export-id=layer-quake4-32 \
		--export-id-only \
		--export-png=$@ \
		$<

$(patsubst %,out/%/quake4.png,48 256): out/%/quake4.png: data/quake1+2.svg out/CACHEDIR.TAG
	install -d out/$*
	inkscape \
		--export-area=0:0:$*:$* \
		--export-width=$* \
		--export-height=$* \
		--export-id=layer-quake4-$* \
		--export-id-only \
		--export-png=$@ \
		$<

$(patsubst %,out/%/quake2-reckoning.png,$(quake_layer_sizes)): out/%/quake2-reckoning.png: out/tmp/recolour-reckoning.svg out/CACHEDIR.TAG
	install -d out/$*
	inkscape \
		--export-area=0:0:$*:$* \
		--export-width=$* \
		--export-height=$* \
		--export-id=layer-quake2-$* \
		--export-id-only \
		--export-png=$@ \
		$<

$(patsubst %,out/%/quake2-groundzero.png,$(quake_layer_sizes)): out/%/quake2-groundzero.png: out/tmp/recolour-groundzero.svg out/CACHEDIR.TAG
	install -d out/$*
	inkscape \
		--export-area=0:0:$*:$* \
		--export-width=$* \
		--export-height=$* \
		--export-id=layer-quake2-$* \
		--export-id-only \
		--export-png=$@ \
		$<

$(launcher_json): out/launch-%.json: out/launch-%.yaml
	PYTHONPATH=$(CURDIR) $(PYTHON) tools/yaml2json.py $< $@

$(desktop) $(patsubst %.json,%.yaml,$(launcher_json)): out/%: runtime/%.in out/CACHEDIR.TAG
	PYTHONPATH=. $(PYTHON) tools/expand_vars.py $< $@

clean:
	rm -fr out
