=== debian/changelog ===
game-data-packager (64) unstable; urgency=medium

  * New games:
    - system-shock: add the CD-ROM version of System Shock [skitt]
  * New languages and versions:
    - Update quake2-reckoning-data (xatrix) to 2.07 and
      quake2-groundzero-data (rogue) to 2.06, corresponding to
      yamagi-quake2 7.41 [smcv]
    - Doom 1: SIGIL, brand new map by Romero [adetiste]
    - Compet-N: add Hell Revealed II and Scythe [fabian]
    - Jazz Jackrabbit: add support for original CD release by splitting
      Holiday Hare '95 into a separate package [Ryan Armstrong]
    - Morrowind: add support for original CD release [Ryan Armstrong]
  * Bug fixes:
    - Compet-N: list the included levels [fabian]
    - Day of the Tentacle: install monster.sof as monster.sof,
      not as monster.sou [Ryan Armstrong]
    - Doom series: improve .desktop file generation [fabian]
    - Jazz Jackrabbit: recommend openjazz engine [adetiste]
    - Unreal: Stop switching to windowed mode for new installations.
      This is contrary to Games Team policy, but avoids a bug in the
      proprietary game engine that can result in the mouse pointer getting
      stuck in one corner of the window (Closes: #941381) [smcv]
  * Internal changes:
    - AppArmor: Mark Mesa shader cache rules as obsoleted by apparmor 2.13
      [smcv]
    - AppArmor: Rename AppArmor profiles to decouple the name from the
      attachment, as per
      https://lists.ubuntu.com/archives/apparmor/2018-August/011791.html
      [smcv]
    - unreal, ut99 AppArmor profiles: Sync up with quake4 [smcv]
    - Move all AppArmor profiles to ./etc/apparmor.d [smcv]
    - AppArmor: Combine quake4 and quake4smp profiles [smcv]
    - d/salsa-ci.yml: Request standard CI on salsa.debian.org [smcv]
    - Declare compliance with Debian Policy 4.4.1 [smcv]
    - Add pyflakes-3 as a possible name for pyflakes [adetiste]
    - Use debhelper-compat 12 [smcv]

 -- Simon McVittie <smcv@debian.org>  Wed, 11 Dec 2019 09:39:37 +0000
