=== debian/tests/control ===
Tests: check-equivalence
Depends: game-data-packager
Restrictions: allow-stderr, x-gdp-memory-hungry

Tests: check-syntax deb hashed-file rpm umod
Depends: game-data-packager
Restrictions: allow-stderr

Tests: download-shareware integration
Depends: game-data-packager, make, python3-gi, zip
Restrictions: allow-stderr
