## game-data-packager 65

=== Makefile ===
--- 
+++ 
@@ -11,12 +11,9 @@
 
 png_from_xpm := $(patsubst ./data/%.xpm,./out/%.png,$(wildcard ./data/*.xpm))
 png_from_svg := $(patsubst ./data/%.svg,./out/%.png,$(filter-out ./data/quake1+2.svg,$(wildcard ./data/*.svg)))
-png       := $(png_from_xpm) $(png_from_svg) out/memento-mori.png
+png       := $(png_from_xpm) $(png_from_svg)
 simplified_svg := $(patsubst ./data/%.svg,./out/%.svg,$(filter-out ./data/quake1+2.svg,$(wildcard ./data/*.svg)))
-# We deliberately don't compress and install memento-mori{,-2}.svg because
-# they use features that aren't supported by librsvg, so they'd look wrong
-# in all GTK-based environments.
-svgz      := $(patsubst ./out/%.svg,./out/%.svgz,$(filter-out ./out/memento-mori-2.svg,$(simplified_svg)))
+svgz      := $(patsubst ./out/%.svg,./out/%.svgz,$(simplified_svg))
 in_yaml   := $(wildcard ./data/*.yaml)
 test_yaml   := $(wildcard ./tests/data/*.yaml)
 json_from_data := $(patsubst ./data/%.yaml,./out/vfs/%.json,$(in_yaml))
@@ -66,7 +63,7 @@
       $(copyright) $(dot_in) $(desktop) $(quake_icons) \
       $(json_from_tests) \
       out/bash_completion out/changelog.gz \
-      out/game-data-packager out/vfs.zip out/memento-mori-2.svg \
+      out/game-data-packager out/vfs.zip \
       out/tests/changelog.gz out/tests/vfs.zip out/tests/copyright
 
 configure.mk: configure game_data_packager/version.py
@@ -124,19 +121,13 @@
 	install run out/game-data-packager
 
 $(simplified_svg): out/%.svg: data/%.svg out/CACHEDIR.TAG
-	inkscape --export-plain-svg=$@ $<
-
-out/memento-mori.svg: data/memento-mori-2.svg out/CACHEDIR.TAG
-	inkscape --export-plain-svg=$@ --export-id=layer1 --export-id-only $<
-
-out/memento-mori.png: out/memento-mori.svg
-	inkscape --export-png=$@ -w96 -h96 $<
+	inkscape --export-plain-svg --export-filename=$@ $<
 
 $(png_from_xpm): out/%.png: data/%.xpm out/CACHEDIR.TAG
 	convert $< $@
 
 $(png_from_svg): out/%.png: data/%.svg out/CACHEDIR.TAG
-	inkscape --export-png=$@ -w96 -h96 $<
+	inkscape --export-filename=$@ -w 96 -h 96 $<
 
 $(svgz): out/%.svgz: out/%.svg
 	gzip -nc $< > $@
@@ -145,7 +136,8 @@
 	xmlstarlet ed -d "//*[local-name() = 'g' and @inkscape:groupmode = 'layer' and @id != 'layer-quake-256']" < $< > out/tmp/quake.svg
 	inkscape \
 		--export-area-page \
-		--export-plain-svg=$@ \
+		--export-plain-svg \
+		--export-filename=$@ \
 		out/tmp/quake.svg
 	rm -f out/tmp/quake.svg
 
@@ -153,7 +145,8 @@
 	xmlstarlet ed -d "//*[local-name() = 'g' and @inkscape:groupmode = 'layer' and @id != 'layer-quake-256']" < $< > out/tmp/quake-$*.svg
 	inkscape \
 		--export-area-page \
-		--export-plain-svg=$@ \
+		--export-plain-svg \
+		--export-filename=$@ \
 		out/tmp/quake-$*.svg
 	rm -f out/tmp/quake-$*.svg
 
@@ -161,7 +154,8 @@
 	xmlstarlet ed -d "//*[local-name() = 'g' and @inkscape:groupmode = 'layer' and @id != 'layer-quake2-256']" < $< > out/tmp/quake2.svg
 	inkscape \
 		--export-area-page \
-		--export-plain-svg=$@ \
+		--export-plain-svg \
+		--export-filename=$@ \
 		out/tmp/quake2.svg
 	rm -f out/tmp/quake2.svg
 
@@ -169,7 +163,8 @@
 	xmlstarlet ed -d "//*[local-name() = 'g' and @inkscape:groupmode = 'layer' and @id != 'layer-quake4-256']" < $< > out/tmp/quake4.svg
 	inkscape \
 		--export-area-page \
-		--export-plain-svg=$@ \
+		--export-plain-svg \
+		--export-filename=$@ \
 		out/tmp/quake4.svg
 	rm -f out/tmp/quake4.svg
 
@@ -177,7 +172,8 @@
 	xmlstarlet ed -d "//*[local-name() = 'g' and @inkscape:groupmode = 'layer' and @id != 'layer-quake2-256']" < $< > out/tmp/quake2-$*.svg
 	inkscape \
 		--export-area-page \
-		--export-plain-svg=$@ \
+		--export-plain-svg \
+		--export-filename=$@ \
 		out/tmp/quake2-$*.svg
 	rm -f out/tmp/quake2-$*.svg
 
@@ -266,7 +262,7 @@
 		--export-height=$* \
 		--export-id=layer-quake-$* \
 		--export-id-only \
-		--export-png=$@ \
+		--export-filename=$@ \
 		$<
 
 $(patsubst %,out/%/quake-armagon.png,$(quake_layer_sizes)): out/%/quake-armagon.png: out/tmp/recolour-armagon.svg out/CACHEDIR.TAG
@@ -277,7 +273,7 @@
 		--export-height=$* \
 		--export-id=layer-quake-$* \
 		--export-id-only \
-		--export-png=$@ \
+		--export-filename=$@ \
 		$<
 
 $(patsubst %,out/%/quake-dissolution.png,$(quake_layer_sizes)): out/%/quake-dissolution.png: out/tmp/recolour-dissolution.svg out/CACHEDIR.TAG
@@ -288,7 +284,7 @@
 		--export-height=$* \
 		--export-id=layer-quake-$* \
 		--export-id-only \
-		--export-png=$@ \
+		--export-filename=$@ \
 		$<
 
 $(patsubst %,out/%/quake2.png,$(quake_layer_sizes)): out/%/quake2.png: data/quake1+2.svg out/CACHEDIR.TAG
@@ -299,7 +295,7 @@
 		--export-height=$* \
 		--export-id=layer-quake2-$* \
 		--export-id-only \
-		--export-png=$@ \
+		--export-filename=$@ \
 		$<
 
 $(patsubst %,out/%/quake4.png,16 22 32): out/%/quake4.png: data/quake1+2.svg out/CACHEDIR.TAG
@@ -310,7 +306,7 @@
 		--export-height=$* \
 		--export-id=layer-quake4-32 \
 		--export-id-only \
-		--export-png=$@ \
+		--export-filename=$@ \
 		$<
 
 $(patsubst %,out/%/quake4.png,48 256): out/%/quake4.png: data/quake1+2.svg out/CACHEDIR.TAG
@@ -321,7 +317,7 @@
 		--export-height=$* \
 		--export-id=layer-quake4-$* \
 		--export-id-only \
-		--export-png=$@ \
+		--export-filename=$@ \
 		$<
 
 $(patsubst %,out/%/quake2-reckoning.png,$(quake_layer_sizes)): out/%/quake2-reckoning.png: out/tmp/recolour-reckoning.svg out/CACHEDIR.TAG
@@ -332,7 +328,7 @@
 		--export-height=$* \
 		--export-id=layer-quake2-$* \
 		--export-id-only \
-		--export-png=$@ \
+		--export-filename=$@ \
 		$<
 
 $(patsubst %,out/%/quake2-groundzero.png,$(quake_layer_sizes)): out/%/quake2-groundzero.png: out/tmp/recolour-groundzero.svg out/CACHEDIR.TAG
@@ -343,7 +339,7 @@
 		--export-height=$* \
 		--export-id=layer-quake2-$* \
 		--export-id-only \
-		--export-png=$@ \
+		--export-filename=$@ \
 		$<
 
 $(launcher_json): out/launch-%.json: out/launch-%.yaml
@@ -354,3 +350,14 @@
 
 clean:
 	rm -fr out
+	rm -rf game_data_packager/__pycache__
+	rm -rf game_data_packager/games/__pycache__
+	rm -rf game_data_packager/packaging/__pycache__
+	rm -rf game_data_packager/unpack/__pycache__
+	rm -rf tools/__pycache__
+
+distclean: clean
+	rm -f configure.mk config.status
+
+check-tests:
+	set -e; \
