=== debian/changelog ===
game-data-packager (65) unstable; urgency=medium

  * New games:
    - Quest for Glory 4 (!12) [Chris Cromer]
  * New versions:
    - Doom 1: Sigil v1.2 and v1.21 (!3) [fabian]
    - Descent 2: Vertigo Series expansion (!8) [Ryan Armstrong]
    - The Dig: new GOG archives (!9) [Dmitry Eremin-Solenikov]
    - Simon the Sorcerer 1 and 2: new GOG archives (!11)
      [Dmitry Eremin-Solenikov]
    - Zak McKracken and the Alien Mindbenders: new GOG archive (!10)
      [Dmitry Eremin-Solenikov]
    - Quest for Glory 1 to 3: new GOG archives (!15) [Chris Cromer]
    - King's Quest 1 to 7: new GOG archives (!17) [Chris Cromer]
    - Space Quest 1 to 6: new GOG archives (!13) [Chris Cromer]
    - Police Quest 1 to 4: new GOG archives (!14) [Chris Cromer]
  * Bug fixes:
    - Doom games: Extract icons from WAD files using omgifol and PIL
      (!3) [fabian]
    - Doom 1: Attempt to properly split up the four available Sigil PWADs
      (!2) [fabian]
    - Spear of Destiny: Remove obsolete mirrors [adetiste]
  * Internal changes:
    - Declare compliance with Debian Policy 4.5.0 [smcv]
    - Build with Inkscape 1.0 (Closes: #959772) [adetiste]
    - Trim extraneous empty line from changelog [adetiste]
    - adding_a_game: Document the special handling of '?' [smcv]

 -- Simon McVittie <smcv@debian.org>  Tue, 12 May 2020 09:14:16 +0100
