=== debian/control ===
--- 
+++ 
@@ -15,7 +15,7 @@
  dh-apparmor,
  dh-python,
  imagemagick,
- inkscape,
+ inkscape (>= 1.0~),
  pyflakes3 | pyflakes (<< 1.1.0),
  python3,
  python3-debian,
@@ -24,7 +24,7 @@
  xmlstarlet,
  zip,
 Rules-Requires-Root: no
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
 Vcs-Git: https://salsa.debian.org/games-team/game-data-packager.git
 Vcs-Browser: https://salsa.debian.org/games-team/game-data-packager
 Homepage: https://wiki.debian.org/Games/GameDataPackager
@@ -56,6 +56,8 @@
  make,
  p7zip-full,
  python3-gi,
+ python3-omg,
+ python3-pil,
  steam,
  steamcmd,
  unace-nonfree,
@@ -401,5 +403,3 @@
  To make this package useful, you will need to create and install some
  non-distributable packages by using the game-data-packager package:
  either quake2-full-data or quake2-demo-data. Creating quake2-full-data
- requires data files from a Quake II installation or CD-ROM.
- .
