## game-data-packager 67

=== debian/changelog ===
game-data-packager (67) unstable; urgency=medium

  * New games:
    - Blade Runner (GOG version) [skitt]
  * Internal changes:
    - quake3: Add pre-exported PNG versions of XCF icons to source code.
      xcftools is unmaintained and has security issues, so it is not
      suitable for stable Debian releases. (Closes: #982502) [smcv]

 -- Simon McVittie <smcv@debian.org>  Thu, 11 Feb 2021 08:32:26 +0000

game-data-packager (66) unstable; urgency=medium

  * New games:
    - Myst 2: Riven (Closes: #960850)
      [Frodo Looijaard, Ryan Armstrong]
    - Myst 3: Exile (Closes: #960851) [Frodo Looijaard]
  * New versions:
    - EcoQuest 1: CD-ROM version [Adam Robinson]
    - Hoyle's Official Book of Games, Volume 3:
      add VGA version [Adam Robinson]
    - Jedi Knight II: new GOG.com archive [Jan Braun]
    - Myst: Ubisoft 10th Anniversary DVD release [Ryan Armstrong]
  * Bug fixes:
    - Hoyle's Official Book of Games: add ScummVM gameid so launchers work
      [Adam Robinson]
    - Hoyle's Official Book of Games, Volume 1:
      don't package a configuration file containing the player's name
      [Adam Robinson]
    - doom_common: Defer warning about missing weak dependencies
      until use (Closes: #962393) [smcv]
  * Internal changes:
    - Update AppArmor profiles to use abstractions from 2.13.x.
      A suitable version is available in Debian 10 and Ubuntu 19.10.
      [smcv]
    - Update Lintian overrides [smcv]
    - Standards-Version: 4.5.1 (no changes required) [smcv]

 -- Simon McVittie <smcv@debian.org>  Fri, 18 Dec 2020 17:26:36 +0000
