=== debian/control ===
--- 
+++ 
@@ -20,11 +20,10 @@
  python3,
  python3-debian,
  python3-yaml,
- xcftools,
  xmlstarlet,
  zip,
 Rules-Requires-Root: no
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Vcs-Git: https://salsa.debian.org/games-team/game-data-packager.git
 Vcs-Browser: https://salsa.debian.org/games-team/game-data-packager
 Homepage: https://wiki.debian.org/Games/GameDataPackager
@@ -300,6 +299,7 @@
  ${misc:Depends},
  ${python3:Depends},
 Breaks:
+ apparmor (<< 2.13.2~),
  game-data-packager (<< 46~),
 Replaces:
  game-data-packager (<< 46~),
