## game-data-packager 68

=== Makefile ===
--- 
+++ 
@@ -177,22 +177,13 @@
 		out/tmp/quake2-$*.svg
 	rm -f out/tmp/quake2-$*.svg
 
-out/256/quake3.png: data/quake3-tango.xcf out/CACHEDIR.TAG
+out/256/quake3.png: data/quake3-tango.png out/CACHEDIR.TAG
 	install -d out/256
-	# fallback, result is similar, yet different
-	if command -v xcf2png > /dev/null ; then \
-	  xcf2png -o $@ $< ;\
-	else \
-	  convert $< -background rgba\(0,0,0,0\) -layers merge $@ ;\
-	fi
-
-out/256/quake3-team-arena.png: data/quake3-teamarena-tango.xcf out/CACHEDIR.TAG
+	install -m644 $< $@
+
+out/256/quake3-team-arena.png: data/quake3-teamarena-tango.png out/CACHEDIR.TAG
 	install -d out/256
-	if command -v xcf2png > /dev/null ; then \
-          xcf2png -o $@ $< ;\
-	else \
-          convert $< -background rgba\(0,0,0,0\) -layers merge $@ ;\
-	fi
+	install -m644 $< $@
 
 out/48/quake3.png: out/256/quake3.png out/CACHEDIR.TAG
 	install -d out/48
@@ -361,3 +352,11 @@
 
 check-tests:
 	set -e; \
+	for x in tests/*.py tools/check_equivalence.py tools/check_syntax.py; do \
+		case "$$x" in \
+			(*/__init__.py) \
+				continue;; \
+		esac; \
+		ln -sf ../../"$$x" debian/tests/"$$(basename "$${x%.py}" | tr _ -)"; \
+	done
+	LC_ALL=C.UTF-8 $(PYFLAKES3) game_data_packager/*.py game_data_packager/*/*.py runtime/*.py tests/*.py tools/*.py || :
