=== debian/changelog ===
game-data-packager (68) unstable; urgency=medium

  * New games:
    - Commander Keen 1, 2, 3 & Keen Dreams [adetiste] (Closes: #786501)
  * New versions:
    - Heretic: GOG.com archive [Hans Joachim Desserud] (Closes: #990767)
    - Nippon Safes Inc. is now freeware, add download url. [adetiste]
    - Curse of Monkey Island: add Steam and GOG IDs [Dmitry Baryshkov]
    - Update quake2-reckoning-data (xatrix) to 2.09 and
      quake2-groundzero-data (rogue) to 2.08, corresponding to
      Yamagi Quake II version 8.00 [smcv]
  * Bug fixes:
    - Remove dead url to GOG.com Mix page [adetiste] (Closes: #963026)
    - Fix Steam mode compatibility with Python 3.9 [Adam Robinson]
  * Internal changes:
    - Use debhelper-compat 13 [adetiste]
    - d/control: Relax Python build-dependencies to :any [smcv]
  * Remove unnecessary Lintian override
  * Standards-Version: 4.6.0 (no changes required)

 -- Simon McVittie <smcv@debian.org>  Tue, 05 Oct 2021 01:01:21 +0100
