=== debian/control ===
--- 
+++ 
@@ -11,19 +11,19 @@
 Build-Depends:
  bash-completion,
  dbus,
- debhelper-compat (= 12),
+ debhelper-compat (= 13),
  dh-apparmor,
  dh-python,
  imagemagick,
  inkscape (>= 1.0~),
  pyflakes3 | pyflakes (<< 1.1.0),
- python3,
+ python3:any,
  python3-debian,
- python3-yaml,
+ python3-yaml:any,
  xmlstarlet,
  zip,
 Rules-Requires-Root: no
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Vcs-Git: https://salsa.debian.org/games-team/game-data-packager.git
 Vcs-Browser: https://salsa.debian.org/games-team/game-data-packager
 Homepage: https://wiki.debian.org/Games/GameDataPackager
