## game-data-packager 69

=== debian/changelog ===
game-data-packager (69) unstable; urgency=medium

  * New games:
    - King's Quest 1 VGA [Adam Robinson]
    - Space Quest 1 VGA [Adam Robinson]
    - Gabriel Knight 1 & 2 [Adam Robinson]
    - Phantasmagoria 1 & 2 [Adam Robinson]
    - Ultima IV [adetiste]
    - The Griffon Legend (freeware) [adetiste]
    - Operation Stealth [adetiste]
    - Master Of Orion [adetiste]
    - Gemini Rue [Dennis Menschel]
    - The Blackwell Legacy [Dennis Menschel]
    - Blackwell Unbound [Dennis Menschel]
    - The Blackwell Convergence [Dennis Menschel]
    - The Blackwell Deception [Dennis Menschel]
    - The Blackwell Epiphany [Dennis Menschel]
    - Resonance [Dennis Menschel]
    - Primordia [Dennis Menschel]
    - Shardlight [Dennis Menschel]
    - Technobabylon [Dennis Menschel]
    - The Shivah [Dennis Menschel]
    - A Golden Wake [Dennis Menschel]
    - Kathy Rain [Dennis Menschel]
    - Catacomb: Abyss [adetiste]
    - Little Big Adventure [Dennis Menschel]
    - Torin's Passage [Dennis Menschel]
    - Lighthouse: The Dark Being:
      - German version [Dennis Menschel]
      - French version [adetiste]
    - The Journeyman Project: Pegasus Prime [Dennis Menschel]
    - The Journeyman Project 2: Buried in Time [Dennis Menschel]
    - Starship Titanic [Dennis Menschel]
    - The Longest Journey:
      - English version [Dennis Menschel]
      - German version [Dennis Menschel]
  * New versions:
    - King's Quest Series: Add Steam IDs [Adam Robinson]
    - Police Quest Series: Add Steam IDs [Adam Robinson]
    - Space Quest Series: Add Steam IDs [Adam Robinson]
    - Quest for Glory Series: Add Steam IDs [Adam Robinson]
    - Return To Zork: support v1.1 and v1.2 [adetiste]
    - Return To Zork: new GOG.com archive [Patrick Menschel]
    - Eye of the Beholder: Spanish version
      (this requires current ScummVM >= 2.2.0) [adetiste]
    - Blade Runner English DVD release, W.I.P. [adetiste]
    - I Have No Mouth and I Must Scream: update GOG versions [skitt]
    - The 7th Guest: update GOG version [skitt]
    - Rise of the Triad: update GOG version [skitt]
    - The Secret of Monkey Island: German version 1.1 [Dennis Menschel]
    - Monkey Island 2: LeChuck's Revenge: alternative German version 1.0
      [Dennis Menschel]
    - Loom: German version 1.2 [Dennis Menschel]
    - Indiana Jones and the Last Crusade: German version 1.02
      [Dennis Menschel]
    - Zak McKracken and the Alien Mindbenders: German version
      [Dennis Menschel]
    - Broken Sword 1: German version [Dennis Menschel]
    - Broken Sword 1: GOG.com archive [Dennis Menschel]
    - Broken Sword 2: German version [Dennis Menschel]
    - Myst: Masterpiece Edition: German version [Dennis Menschel]
    - Leisure Suit Larry 7: German version [Dennis Menschel]
    - Flight of the Amazon Queen: all non-English versions [adetiste]
      (Closes: #783925)
    - Unreal Tournament (1999): update to patch 469b [Sébastien Noel]
  * Internal changes:
    - Switch build system to Meson [smcv]
    - Support multiple Steam paths [Adam Robinson]
    - Move ResidualVM games (Grim Fandango, Myst 3) to ScummVM [adetiste]
    - Improve support for crispy-doom engine [Sébastien Noel]

 -- Simon McVittie <smcv@debian.org>  Mon, 14 Mar 2022 11:01:46 +0000
