=== debian/control ===
--- 
+++ 
@@ -16,6 +16,7 @@
  dh-python,
  imagemagick,
  inkscape (>= 1.0~),
+ meson (>= 0.56.0),
  pyflakes3 | pyflakes (<< 1.1.0),
  python3:any,
  python3-debian,
@@ -96,6 +97,7 @@
   * Beavis and Butthead in Virtual Stupidity
   * The Bizarre Adventures of Woodruff and the Schnibble
   * The Black Cauldron
+  * Blade Runner
   * Blake Stone and Planet Strike
   * Blue Force
   * Border Zone
@@ -131,8 +133,10 @@
   * Freespace 2
   * Full Throttle
   * Future War (Les Voyageurs du Temps)
+  * Gabriel Knight 1 and 2
   * Gobliiins 1, 2 and 3
   * Gold Rush!
+  * The Griffon Legend
   * Grim Fandango
   * HacX
   * Hank's Quest
@@ -167,7 +171,7 @@
   * Monkey Island 1, 2 and 3
   * Moonmist
   * Mortville Manor
-  * Myst: Masterpiece Edition
+  * Myst: Masterpiece Edition, Riven, Myst III
   * Mystery House
   * The Neverhood
   * Nippon Safes Inc.
@@ -175,6 +179,7 @@
   * Once Upon A Time: Little Red Riding Hood
   * Pajama Sam series
   * Personal Nightmare
+  * Phantasmagoria 1 and 2
   * Planescape: Torment
   * Planetfall
   * Plundered Hearts
@@ -214,7 +219,7 @@
   * Trinity
   * Troll's Tale
   * Tyrian
-  * Ultima VII
+  * Ultima IV & VII
   * Unreal, Unreal Gold and Unreal Tournament (1999)
   * Urban Runner
   * Ween: The Prophecy
@@ -401,5 +406,3 @@
  entry to play Quake II with any suitable engine.
  .
  To make this package useful, you will need to create and install some
- non-distributable packages by using the game-data-packager package:
- either quake2-full-data or quake2-demo-data. Creating quake2-full-data
