=== debian/tests/control ===
Tests: check-equivalence
Depends: game-data-packager
Restrictions: allow-stderr, x-gdp-memory-hungry

Tests: check-syntax deb hashed-file rpm umod
Depends: game-data-packager
Restrictions: allow-stderr

Tests: download-shareware
Depends: game-data-packager
Restrictions: allow-stderr, needs-internet

Tests: integration
Depends: @builddeps@, game-data-packager, python3-gi, zip
Restrictions: allow-stderr, needs-build
